Update an entity's ACL
curl --request PUT \
--url https://wmc.wiremockapi.cloud/v1/{entityCollection}/{entityId}/acl/{subjectType}/{subjectEntityId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"grant": {
"role": "mock_api_editor"
}
}
'import requests
url = "https://wmc.wiremockapi.cloud/v1/{entityCollection}/{entityId}/acl/{subjectType}/{subjectEntityId}"
payload = { "grant": { "role": "mock_api_editor" } }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({grant: {role: 'mock_api_editor'}})
};
fetch('https://wmc.wiremockapi.cloud/v1/{entityCollection}/{entityId}/acl/{subjectType}/{subjectEntityId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"grant": {
"role": "mock_api_editor"
}
}Access control
Update an entity's ACL
Add or update a team or user to an entity’s ACL.
PUT
/
v1
/
{entityCollection}
/
{entityId}
/
acl
/
{subjectType}
/
{subjectEntityId}
Update an entity's ACL
Path Parameters
Specifies the plural of the entity type for which ACL candidates should be retrieved.
Available options:
mock-apis, data-sources The ID of the entity (mock API, data source etc.)
Required string length:
5 - 10Example:
"jjl8y"
The type of subject in the context of an ACL.
Available options:
user, team, organisation The ID of a subject entity (user, team, organisation)
Required string length:
5 - 10Example:
"jjl8y"
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
Success
Show child attributes
Show child attributes
⌘I